Bug 218927 - Corrupted pixmaps on ATI Rage IIC
Corrupted pixmaps on ATI Rage IIC
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
6
All Linux
medium Severity high
: ---
: ---
Assigned To: Adam Jackson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-08 10:20 EST by Leslie Brooks
Modified: 2008-01-15 09:40 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-15 09:40:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
X logfile (10.92 KB, text/plain)
2006-12-28 17:12 EST, Leslie Brooks
no flags Details
Xorg logfile (old) (10.92 KB, text/plain)
2006-12-28 17:13 EST, Leslie Brooks
no flags Details
Xorg configuration file (565 bytes, text/plain)
2006-12-28 17:15 EST, Leslie Brooks
no flags Details
Xorg setup log (1.08 KB, text/plain)
2006-12-28 17:16 EST, Leslie Brooks
no flags Details
Xorg setup log after deleting xorg.conf (1.08 KB, text/plain)
2006-12-28 17:23 EST, Leslie Brooks
no flags Details
Xorg logfile after deleting xorg.conf and rebooting (44.88 KB, text/plain)
2006-12-28 17:23 EST, Leslie Brooks
no flags Details

  None (edit)
Description Leslie Brooks 2006-12-08 10:20:53 EST
Description of problem:  I installed FC6 on a Dell Poweredge 300 server with
built-in ATI Rage IIC graphics; installation went without any obvious errors. 
Rebooting worked until the graphical login screen appeared; at this point the
screen had obvious texture corruption (rectangles of wild colors and wierd
patterns).  The 'Username' entry box was visible, but typing did not display any
text and I was unable to login.  I was able to boot to runlevel 3 and login
without any problem; I then did 'yum -y update' and rebooted but the screen was
still corrupted.  I installed four or five times, both from DVD ISO and CD ISO
just to make sure there was no problem with the media.


Version-Release number of selected component (if applicable):


How reproducible:  Always.


Steps to Reproduce:
1.  Install on PC with ATI Rage IIc
2.  Reboot
3.
  
Actual results:  Corrupted graphical login screen and unable to login.


Expected results:  Clean graphics and able to login


Additional info:
Comment 1 Leslie Brooks 2006-12-09 18:04:35 EST
I forgot to mention that Fedora 5 works fine on this system.
Comment 2 Matěj Cepl 2006-12-27 15:37:06 EST
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 3 Leslie Brooks 2006-12-28 17:12:50 EST
Created attachment 144494 [details]
X logfile

This is the X logfile before I deleted xorg.conf.  It still refers to the
Number 9 video card that I (temporarily) put into the system so I could have a
graphical interface, but correctly shows the ATI as the primary (and at this
time the only) display device.
Comment 4 Leslie Brooks 2006-12-28 17:13:49 EST
Created attachment 144495 [details]
Xorg logfile (old)
Comment 5 Leslie Brooks 2006-12-28 17:15:17 EST
Created attachment 144496 [details]
Xorg configuration file

This is the file from before I put the Number 9 card in the system (and of
course before I deleted xorg.conf to force a clean autodetect and initialize).
Comment 6 Leslie Brooks 2006-12-28 17:16:31 EST
Created attachment 144497 [details]
Xorg setup log

This shows 'Fatal Server Error: No screens found'.
Comment 7 Leslie Brooks 2006-12-28 17:23:09 EST
Created attachment 144498 [details]
Xorg setup log after deleting xorg.conf
Comment 8 Leslie Brooks 2006-12-28 17:23:55 EST
Created attachment 144499 [details]
Xorg logfile after deleting xorg.conf and rebooting
Comment 9 Matěj Cepl 2007-12-10 04:24:41 EST
Fedora Core 6 is no longer supported, could you please reproduce this with the
updated version of the currently supported distribution (Fedora 7, 8, or
Rawhide)? If this issue turns out to still be reproducible, please let us know
in this bug report. If after a month's time we have not heard back from you, we
will have to close this bug as CANTFIX.

Setting status to NEEDINFO, and awaiting information from the reporter.

[This is mass-filed message to all open Fedora Core 6 bugs related to Xorg or
Gecko. If you see any other reason, why this bug shouldn't be closed, please,
comment on it here.]
Comment 10 Matěj Cepl 2008-01-15 09:40:02 EST
Since there are insufficient details provided in this report for us to
investigate the issue further, and we have not received feedback to the
information we have requested above, we will assume the problem was not
reproducible, or has been fixed in one of the updates we have released for the
reporter's distribution.

Users who have experienced this problem are encouraged to upgrade to the latest
update of their distribution, and if this issue turns out to still be
reproducible in the latest update, please reopen this bug with additional
information.

Closing as INSUFFICIENT_DATA.

{This is mass-closing of all obsolete bugs; if this bug was in your opinion
closed by mistake, please, reopen it with additional information; thanks a lot
and I am sorry for bothering you in such case.}

Note You need to log in before you can comment on or make changes to this bug.